Bug 63321 - [WK2] fast/frames/iframe-plugin-load-remove-document-crash.html crashes
Summary: [WK2] fast/frames/iframe-plugin-load-remove-document-crash.html crashes
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P1 Major
Assignee: Balazs Kelemen
URL:
Keywords: LayoutTestFailure
Depends on:
Blocks:
 
Reported: 2011-06-24 07:13 PDT by Csaba Osztrogonác
Modified: 2011-11-28 01:17 PST (History)
5 users (show)

See Also:


Attachments
Patch (1.45 KB, patch)
2011-06-27 05:34 PDT, Balazs Kelemen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Csaba Osztrogonác 2011-06-24 07:13:08 PDT
stderr: Xlib:  extension "RANDR" missing on display ":7.0".
Comment 1 Csaba Osztrogonác 2011-06-24 07:16:09 PDT
Skipped by http://trac.webkit.org/changeset/89672
Comment 2 Balazs Kelemen 2011-06-27 05:31:24 PDT
Remove [Qt] since it seems to  be a common bug that somehow only appears on Qt.
Comment 3 Balazs Kelemen 2011-06-27 05:34:47 PDT
Created attachment 98706 [details]
Patch
Comment 4 Balazs Kelemen 2011-06-27 05:35:28 PDT
I am still trying to find out why it is only appearing on Qt.
Comment 5 Balazs Kelemen 2011-06-27 05:40:23 PDT
The null check is consistent with WebKit1:
void PluginView::didFail(const ResourceError& error)
{
    if (m_status != PluginStatusLoadedSuccessfully)
        return;

    ASSERT(m_loadManually);
    
    if (m_manualStream) <- !!!
        m_manualStream->didFail(0, error);
}
Comment 6 Balazs Kelemen 2011-08-25 01:38:01 PDT
ping
Comment 7 Simon Hausmann 2011-11-28 00:19:18 PST
Comment on attachment 98706 [details]
Patch

r=me. I guess the test only fails in debug builds? (which is why we don't see it on the bots and this patch doesn't affect the skiplist?)
Comment 8 Simon Hausmann 2011-11-28 00:21:20 PST
(In reply to comment #7)
> (From update of attachment 98706 [details])
> r=me. I guess the test only fails in debug builds? (which is why we don't see it on the bots and this patch doesn't affect the skiplist?)

Ohh, it looks like Ossy skipped it in http://trac.webkit.org/changeset/89672 . Please land this patch together with unskip.
Comment 9 Balazs Kelemen 2011-11-28 01:12:07 PST
Committed r101232: <http://trac.webkit.org/changeset/101232>